Bug 206941 - rhn_register proxy settings are not copied accross to yum
Summary: rhn_register proxy settings are not copied accross to yum
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On: 208852 210956 210963 210966 210975 211862
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-18 11:12 UTC by David Ash
Modified: 2013-01-10 08:55 UTC (History)
2 users (show)

Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 15:22:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Ash 2006-09-18 11:12:34 UTC
Description of problem:
Setting proxy settings in rhn_register (which updates /etc/sysconfig/rhn/up2date
with proxy settings), is not copied accross to /etc/yum.conf.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Run rhn_register and set proxy settings
2. Look in yum.conf and proxy settings are not set
3.
  
Actual results:


Expected results:
My expectation is that yum.conf should be modified to reflect proxy settings in
rhn_register process.

Additional info:

Comment 2 RHEL Product and Program Management 2006-09-21 22:24:48 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.

Comment 5 James Bowes 2006-10-18 20:20:56 UTC
(In reply to comment #4)
> IMO the proxy config settings should stay in /etc/sysconfig/rhn/up2date, since
> they're used by other RHN tools.
> 
> Furthermore, I don't think it would be correct to alter the proxy behaviour for
> all yum repos. We only want to use these proxy settings with RHN. This would be
> consistant with how up2date worked.

So how yum + rhn works with proxies now (after modifiing for this bug) is at run
time we read the up2date config file, and if there is a proxy configured, then
we will use that for RHN yum repos, and only the RHN repos.


Comment 6 Roman Lazarev 2006-10-19 14:03:08 UTC
This blocker corresponds to release criteria 19c5: yum connects through
authenticated/unauthenticated http proxy from client to RHN

Comment 9 James Bowes 2006-10-24 20:58:49 UTC
This should be fixed as of yum-rhn-plugin-0.1.9-3

Comment 10 Beth Nackashi 2006-10-31 19:02:40 UTC
*yum from client through RHN proxy through http proxy to RHN works
*yum from client through http proxy to RHN works

The proxy settings from /etc/sysconfig/rhn/up2date are used; no proxy settings
are in /etc/yum.conf.

Comment 11 Jay Turner 2006-11-13 15:22:45 UTC
Closing as the fixes are included in the latest RHEL5 trees (20061111.0)


Note You need to log in before you can comment on or make changes to this bug.